Planet Zoo 2 /// Buildings Batch 1 - Task

#5 - Task 06
12/19/2022 01:34 PM - Admin Redmine

Status: Planned Start date: 12/19/2022
Priority: high Due date: 02/17/2023
Assignee: Artist Redmine % Done: 0%
Category:

Milestone:

Owner: Artist Redmine

Description

History

#60 - 12/19/2022 01:34 PM - Admin Redmine

- Assignee changed from Admin Redmine to Artist Redmine

#61 - 12/19/2022 01:34 PM - Admin Redmine

- Owner changed from Admin Redmine to Artist Redmine
